Bug 476938 - jline not in scala's classpath
jline not in scala's classpath
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scala (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Geoff Reedy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 23:39 EST by Harshad RJ
Modified: 2009-12-15 20:23 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.7.7-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-15 20:12:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshad RJ 2008-12-17 23:39:13 EST
Description of problem:
although jline is a dependency for scala, it is not included in the default class path.

Hence, or example, the following fails in fedora-scala but works in original scala distribution:

import jline._

error: not found: value jline
Comment 1 Geoff Reedy 2009-01-22 15:10:26 EST
The diverging behavior from the upstream build is because the contents of the jline library are embedded in the compiler and not kept in a separate jar. I have filed a bug upstream to see what they're actual desired behavior is: https://lampsvn.epfl.ch/trac/scala/ticket/1660

I'll update this bug when I hear from upstream.
Comment 2 Fedora Update System 2009-05-18 01:26:17 EDT
scala-2.7.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/scala-2.7.4-1.fc9
Comment 3 Fedora Update System 2009-05-18 01:28:14 EDT
scala-2.7.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/scala-2.7.4-1.fc10
Comment 4 Fedora Update System 2009-05-18 01:29:19 EDT
scala-2.7.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/scala-2.7.4-1.fc11
Comment 5 Geoff Reedy 2009-05-18 01:36:26 EDT
For the 2.7.4 package I decided to match upstream on this. The scala launchers now include jline in the bootclasspath which makes the jline classes visible from the REPL. Please try out the appropriate package once it hits the testing repo.
Comment 6 Harshad RJ 2009-05-20 07:04:35 EDT
(In reply to comment #5)
> For the 2.7.4 package I decided to match upstream on this. The scala launchers
> now include jline in the bootclasspath which makes the jline classes visible
> from the REPL. Please try out the appropriate package once it hits the testing
> repo.  


2.7.4 package works for me.

Thanks!
Comment 7 Fedora Update System 2009-05-28 04:00:50 EDT
scala-2.7.4-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-28 04:02:30 EDT
scala-2.7.4-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-28 04:12:25 EDT
scala-2.7.4-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Bug Zapper 2009-11-18 04:41:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora Update System 2009-11-22 22:48:27 EST
scala-2.7.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/scala-2.7.7-1.fc11
Comment 12 Fedora Update System 2009-11-22 22:50:14 EST
scala-2.7.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/scala-2.7.7-1.fc12
Comment 13 Fedora Update System 2009-11-25 10:01:14 EST
scala-2.7.7-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scala'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12051
Comment 14 Fedora Update System 2009-11-25 10:33:46 EST
scala-2.7.7-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scala'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12197
Comment 15 Fedora Update System 2009-12-15 20:12:28 EST
scala-2.7.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-12-15 20:23:13 EST
scala-2.7.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.